%global base_name       dbutils
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          1.5
Release:          %mkrel 2
Summary:          Apache Commons DbUtils Package
Group:            Development/Java
License:          ASL 2.0
URL:              http://commons.apache.org/%{base_name}/
Source0:          http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    apache-commons-parent
BuildRequires:    hamcrest
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    maven-docck-plugin
BuildRequires:    maven-gpg-plugin
BuildRequires:    maven-plugin-annotations
BuildRequires:    maven-plugin-tools-annotations
BuildRequires:    maven-plugin-descriptor
BuildRequires:    maven-plugin-tools-api
BuildRequires:    maven-plugin-tools-generators
BuildRequires:    mockito
Requires:         java >= 1:1.6.0
Requires:         jpackage-utils

%description
DbUtils is a small set of classes designed to make working with JDBC easier. 
JDBC resource cleanup code is mundane, error prone work so these classes 
abstract out all of the cleanup tasks from your code leaving you with what you 
really wanted to do with JDBC in the first place: query and update data.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' *.txt

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{short_name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "%{short_name}:%{short_name}"

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.5-2.mga3
+ Revision: 345697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.5-1.mga3
+ Revision: 326373
- New version

* Thu Jul 05 2012 dmorgan <dmorgan> 1.4-1.mga3
+ Revision: 267896
- New version

* Tue Jul 19 2011 dmorgan <dmorgan> 1.3-2.mga2
+ Revision: 126866
- imported package apache-commons-dbutils

